org.codehaus.groovy.runtime.dgmimpl

## Class NumberNumberMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
      - - org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    NumberNumberDiv, NumberNumberMinus, NumberNumberMultiply, NumberNumberPlus

      public abstract class NumberNumberMetaMethod
      extends CallSiteAwareMetaMethod

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NumberNumberMetaMethod.NumberNumberCallSite`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NumberNumberMetaMethod()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CachedClass` | `getDeclaringClass()`
    `int` | `getModifiers()`
    `Class` | `getReturnType()`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod

      `createPojoCallSite`

    - ### Methods inherited from class groovy.lang.MetaMethod

      `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getName, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

    - ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberNumberMetaMethod

          protected NumberNumberMetaMethod()

  - ### Method Detail

    - #### getModifiers

          public int getModifiers()

      Specified by:
        `getModifiers` in class `MetaMethod`

    - #### getReturnType

          public Class getReturnType()

      Specified by:
        `getReturnType` in class `MetaMethod`

    - #### getDeclaringClass

          public final CachedClass getDeclaringClass()

      Specified by:
        `getDeclaringClass` in class `MetaMethod`